<html>
<head>
<title>Last.fm API サンプル</title>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<style type="text/css">
<!--
 table {
 width:320px;
 font-family:Arial,Tahoma;
 font-size:10px;
 border:1px solid #cccccc;
 border-collapse:collapse;
 }
 td {
 border-bottom:1px solid #cccccc;
 position:relative;
 }
 td.header {
 text-align:center;
 border-bottom:1px solid #cccccc;
 background-color:#cccccc;
 color:#ffffff;
 position:relative;
 }
 td.artist {
 text-align:left;
 padding:0.3em;
 }
 td.album {
 text-align:left;
 border-left:1px solid #cccccc;
 padding:0.3em;
 }
 td.name {
 text-align:left;
 border-left:1px solid #cccccc;
 padding:0.3em;
 }
 td.jikan {
 text-align:center;
 border-left:1px solid #cccccc;
 padding:0.3em;
 }
 td.footer {
 margin:5px;
 padding-right:5px;
 text-align:right;
 background-color:#cccccc;
 border-bottom:0px;
 position:relative;
 }
 td.footer a{
 color:#ffffff;
 }
 td.footer a:hover{
 color:#000080;
 }
 a {
 text-decoration:none;
 color:#4169E1;
 }
 img {
 border:0px;
 }
//-->
</style>
</head>
<body>

<?php

$userid = "garni765"; // ユーザID
$url = "http://ws.audioscrobbler.com/2.0/?method=user.getrecenttracks&user={$userid}&api_key=df74bd34e19e988b0f81ba40aa7b59d0";

$responseXML = simplexml_load_file($url);

print "<table><tr><td colspan=\"4\" class=\"header\">最近聴いたトラック</td></tr><tr>";
	foreach($responseXML->recenttracks->track as $track) {
		$artist = $track->artist;
		$album = $track->album;
		$name = $track->name;
		$pdate = $track->date;
		$t = strtotime("$pdate +9 hours", time());
		$jikan = date("m/d H:i", $t);
print <<<EOS
<tr><td class="artist">$artist</td><td class="name"><a href=$track->url>$name</a></td><td class="album">$album</td><td class="jikan">$jikan</td></tr>
EOS;
}
print "<tr><td colspan=\"4\" class=\"footer\"><a href=\"http://www.lastfm.jp/\">Last.fm</a></tr></td></table>";
?>
</body>
</html>