<html>
<head>
<title>Last.fm API サンプル</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<style type="text/css">
<!--
 table {
 width:300px;
 font-family:Arial,Tahoma;
 font-size:10px;
 border:1px solid #cccccc;
 border-collapse:collapse;
 }
 td {
 border-bottom:1px solid #cccccc;
 position:relative;
 }
 td.header {
 text-align:center;
 border-bottom:1px solid #cccccc;
 background-color:#cccccc;
 color:#ffffff;
 position:relative;
 } 
 td.footer {
 margin:5px;
 padding-right:5px;
 text-align:right;
 background-color:#cccccc;
 border-bottom:0px;
 position:relative;
 }
 td.footer a{
 color:#ffffff;
 }
 td.footer a:hover{
 color:#000080;
 }
 a {
 text-decoration:none;
 color:#4169E1;
 }
 img {
 border:0px;
 }
//-->
</style>
</head>
<body>

<?php
include "xml.php";
$userid = "aquabuzz"; // ユーザID
$view = "1"; // 表示するトラック数
$imgsize = "1"; // 画像サイズ 0=small, 1=medium, 2=large

$url = "http://ws.audioscrobbler.com/2.0/?method=user.getrecenttracks&user={$userid}&api_key=df74bd34e19e988b0f81ba40aa7b59d0";
$responseXML = file_get_contents($url);
$xml_array = XML_unserialize($responseXML);

if($xml_array['lfm attr']['status']=="ok") {
	$value = $xml_array['lfm']['recenttracks']['track'];
	print "<table><tr><td colspan=\"3\" class=\"header\">最近聴いたトラック</td></tr><tr>";
		
}

	for($i = 0; $i < $view; $i++) {
		$a = $value[$i]['artist'];
		$name = $value[$i]['name'];
		$aurl = $value[$i]['url'];
		if($imgsize == "2") {
			$img = $value[$i]['image']['2'];
		}
		if($imgsize == "1") {
			$img = $value[$i]['image']['1'];
		}
		if($imgsize == "0") {
			$img = $value[$i]['image']['0'];
		}
print "<td rowspan=\"2\"><a href=\"{$aurl}\"><img src=\"{$img}\" alt=\"{$a}\"></a></td><td>{$a}</td></tr><tr><td><a href=\"{$aurl}\">{$name}</a></td>";
		if ($name == "") {
print "</tr><tr><td colspan=\"3\" class=\"footer\"><a href=\"http://www.lastfm.jp/\">Last.fm</a></tr>";
		} else {
print "</tr><tr>";			
		}
	}
print "</tr><tr><td colspan=\"3\" class=\"footer\"><a href=\"http://www.lastfm.jp/\">Last.fm</a></tr></table>\n";
?>
</body>
</html>